
QGIS Application - Bug report #19036

QGIS crashed after using plugin manager

2018-05-26 07:01 PM - Torsten Hase

Status: Closed

Priority: High

Assignee: Borys Jurgiel

Category: Windows Package

Affected QGIS version:3.1(master) Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 26867

Description

Report:

h2. User Feedback

Report Details

Crash ID: 147561b020810973e7803b093f8191e3ff7090d3

Stack Trace

QObject::connect :

PyInit_QtCore :

PyFrame_New :

PyObject_Call :

PyInit_sip :

meth_QgsMapToolAdvancedDigitizing_createRubberBand sip_guipart2.cpp:147912

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyUnicode_AsUTF8AndSize :

PyFrame_New :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyUnicode_AsUTF8AndSize :

PyFrame_New :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

QgsPythonUtilsImpl::runStringUnsafe qgspythonutilsimpl.cpp:300

QgsPythonUtilsImpl::runString qgspythonutilsimpl.cpp:312

QgsPythonRunnerImpl::runCommand qgisapp.cpp:9817

QgsPythonRunner::run qgspythonrunner.cpp:33

QgsPluginManager::buttonInstall_clicked qgspluginmanager.cpp:1347
QtPrivate::FunctorCall<QtPrivate::IndexesList<>,QtPrivate::List<>,void,void (__cdecl QgsPluginManager::*)(void) __ptr64>::call

qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__cdecl QgsPluginManager::*)(void) __ptr64>::call<QtPrivate::List<>,void>

qobjectdefs_impl.h:170

QtPrivate::QSlotObject<void (__cdecl QgsPluginManager::*)(void) __ptr64,QtPrivate::List<>,void>::impl qobject_impl.h:121

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:342

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:342

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QDialog::exec :

QgsAppPluginManagerInterface::showPluginManager qgsapppluginmanagerinterface.cpp:39

meth_QgsPluginManagerInterface_showPluginManager sip_guipart2.cpp:30527

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

QgsPythonUtilsImpl::runStringUnsafe qgspythonutilsimpl.cpp:300

QgsPythonUtilsImpl::runString qgspythonutilsimpl.cpp:312

QgsPythonRunnerImpl::runCommand qgisapp.cpp:9817

QgsPythonRunner::run qgspythonrunner.cpp:33

QgisApp::showPluginManager qgisapp.cpp:9795

QtPrivate::FunctorCall<QtPrivate::IndexesList<>,QtPrivate::List<>,void,void (__cdecl QgisApp::*)(void) __ptr64>::call

qobjectdefs_impl.h:136

QtPrivate::FunctionPointer<void (__cdecl QgisApp::*)(void) __ptr64>::call<QtPrivate::List<>,void> qobjectdefs_impl.h:170

QtPrivate::QSlotObject<void (__cdecl QgisApp::*)(void) __ptr64,QtPrivate::List<>,void>::impl qobject_impl.h:121

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify qgsapplication.cpp:342

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :
QgsApplication::notify qgsapplication.cpp:342

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main main.cpp:1434

WinMain mainwin.cpp:170

__scrt_common_main_seh exe_common.inl:253

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.1.0-Master

QGIS code revision: commit:310bfb1e3e

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

History

#1 - 2018-05-26 11:29 PM - Borys Jurgiel

Hi,

Is QGIS installed from the standalone installer or OSGeo4W? What other QGIS versions are already installed?

There were such issues reported if QGIS 2.x installed by OSGeo4W conflicts with the 3.0 package.

Please check if some of the cleanings described here works for you: #18261 and #18220.

Regards,

Borys

#2 - 2018-05-26 11:53 PM - Torsten Hase

It is installed from OSGeo4W and I have other versions installed.

I can load some plugins. It crashed sometimes. QGIS 3.1.0 use a lot of tim to start. There seems to be a bug to.

There should be an other way then to deinstall an reinstall ...

Thanks in advance

#3 - 2018-06-22 11:37 AM - Borys Jurgiel

- Category changed from Plugin Manager to Windows Package

- Status changed from Open to Closed
- Resolution set to duplicate

So I assume it duplicates #18261. Seems it's solved in recent packages, as there is no new reports since yours (and there was a few of them in previous

months). If you still get the crash with the recent master (or with final 3.2 - to be released today and packages should be available within next 2-3 days),

please let me know here and I'll (re)open a ticket for the OSGeo4W installer.

#4 - 2018-06-22 11:40 AM - Jürgen Fischer

- Subject changed from QGIS crashad after by using plugin manager to QGIS crashed after by using plugin manager

#5 - 2018-06-22 11:41 AM - Jürgen Fischer

- Subject changed from QGIS crashed after by using plugin manager to QGIS crashed after using plugin manager
